> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Inventory

> Returns product (offer) inventory by id

<Note>
  **OAuth scope:** `offer_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml GET /open-api/v1.0/products/{productId}/inventory
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/products/{productId}/inventory:
    get:
      tags:
        - Products (offers)
      summary: Get product (offer) inventory by id
      description: Returns product (offer) inventory by id
      operationId: get-product-inventory
      parameters:
        - name: productId
          in: path
          required: true
          schema:
            type: string
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.OpenApiPageResponseCom.fourthwall.openapi.model.StockV1
        '404':
          description: 'Possible errors: `OFFER_NOT_FOUND_BY_SHOP_ID_AND_ID_ERROR`'
          content:
            application/json:
              examples:
                offer-not-found-by-shop-id-and-id-error:
                  value:
                    code: OFFER_NOT_FOUND_BY_SHOP_ID_AND_ID_ERROR
                    shopId: <shopid>
                    offerId: <offerid>
      security:
        - oauth:
            - offer_read
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/products/get-product-inventory
components:
  schemas:
    com.fourthwall.openapi.model.OpenApiPageResponseCom.fourthwall.openapi.model.StockV1:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/com.fourthwall.openapi.model.StockV1'
        total:
          type: integer
          format: int32
        page:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
      required:
        - results
      title: Stock
    com.fourthwall.openapi.model.StockV1:
      type: object
      properties:
        variantId:
          type: string
          format: uuid
        quantity:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - createdAt
        - quantity
        - updatedAt
        - variantId
      title: Stock
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````